Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77369 - Please integrate linux-wlan-ng drivers
Summary: Please integrate linux-wlan-ng drivers
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL: http://www.linux-wlan.com
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-05 21:55 UTC by Michel Alexandre Salim
Modified: 2013-07-03 02:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-03 08:03:00 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2002-11-05 21:55:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021102

Description of problem:
Please integrate the linux-wlan-ng drivers - if not for RH 8.0, for the upcoming
8.1. The prism drivers included in the kernel source tree is useless for a lot
of wireless users, and linux-wlan-ng needs to be integrated into the kernel for
proper testing in SMP mode to be done; currently it is stable when applied to
the standard kernel but not so stable against the Red Hat SMP kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a Prism 2.5 Wavelan PCI wireless card
2. Try and configure it using the stock RH kernel
3. Try again with the linux-wlan-ng drivers

Additional info:

Comment 1 John 2003-01-18 08:50:34 UTC
I've got to second this...  the linux-wlan-ng drivers cover quite a large
fraction of the wireless cards in the wild.  This would be a very useful
enhancement.

Comment 2 Tim Keitt 2003-03-17 03:24:12 UTC
I'll add a third...

Comment 3 Richard Henderson 2003-05-09 05:52:20 UTC
And a fourth.  While the RH9 orinoco driver "works" for my card,
it doesn't seem to be able to handle multiple data streams properly.

Test is "while true; do cat /usr/share/dict/words; done" on some 
remote host in one window, and "ping remote" in another.  The ping
times crest 1000ms almost immediately, and grow beyond 12000ms before
much longer.  The same test with the wlan driver fluxuates between
300 and 650ms, but never falls too far behind.

Comment 4 Jason Merrill 2003-11-13 23:46:11 UTC
Agreed.  I've been very happy with the wlan-ng driver.

Comment 5 Dave Jones 2003-11-18 16:21:53 UTC
Due to the impending EOL of RHL9, it's unlikely this will happen in an
errata. How does Fedora fare ?
 

Comment 6 Jeff Garzik 2004-03-03 08:03:00 UTC
These drivers are not suitable for kernel inclusion.  Please encourage
the maintainers to submit wireless drivers to the upstream kernel.



Note You need to log in before you can comment on or make changes to this bug.